Subject: bug#12761: cl-lib.el functions do not get font-locked like cl.el ones

From: Glenn Morris <[email-masked]>
Date: Tue, 30 Oct 2012 03:37:56 -0400

Stefan Monnier wrote:

>> `letf' gets font-lock-keyword-face, `cl-letf' does not get fontified.
>
> I'm not sure which of the two is a bug, to tell you the truth.

I guess the bug was ever font-locking things from cl.el that are not in
Common Lisp. So maybe that special treatment (lexical-let, letf, etc)
should be removed, to make everyone equally miserable.